<?php

require_once __DIR__ . '/../../payment/' . 'ecommpay.php';

class ControllerExtensionPaymentEcommpay extends ControllerPaymentEcommpay
{

    public function index()
    {
        $this->language->load('extension/payment/ecommpay');
        $this->load->model('checkout/order');

        $data['action'] = $this->generateRedirectUrl();
        $data['button_confirm'] = $this->language->get('button_confirm');
        $data['popup_mode'] = !empty($this->config->get('ecommpay_popupmode'));
        $data['paymentpage_host'] = Signer::getPaymentPageHost();

        return $this->load->view('payment/ecommpay', $data);
    }
}
